I am in the process of upgrading our 1800 ZCM devices from 10.2 to 10.3.1. For the most part it is going well, but there are a number of devices that error out with the prequisites error. I can't find any details in the event viewer and I am not sure where else to look. I have covered some of the basics. I can ping the device by name, the admin$ share is visible and it has plenty of RAM and hard drive space. What am I missing?

Thanks in advance,